Index: src/main/webapp/application/engageConfig.json
===================================================================
--- src/main/webapp/application/engageConfig.json	(revision 9226)
+++ src/main/webapp/application/engageConfig.json	(working copy)
@@ -4,9 +4,9 @@
 includes: "kettle/KettleIncludes.json",
 includesPrefix: "kettle/",
 loaderFunction: "fluid.engage.initEngageApp",
-queryURLTemplate: "http://titan.atrc.utoronto.ca:5984/%dbName/_fti/lucene/%view?include_docs=true&q=%query",
-viewURLTemplate: "http://titan.atrc.utoronto.ca:5984/%dbName/%view",
-viewURLTemplateWithKey: "http://titan.atrc.utoronto.ca:5984/%dbName/%view?key=%key",
+queryURLTemplate: "http://142.150.154.59:5984/%dbName/_fti/lucene/%view?include_docs=true&q=%query",
+viewURLTemplate: "http://142.150.154.59:5984/%dbName/%view",
+viewURLTemplateWithKey: "http://142.150.154.59:5984/%dbName/%view?key=%key",
 initServices: [
     "fluid.engage.initHomeService",
     "fluid.artifactView.initMarkupFeed", 
Index: src/main/webapp/application/engageStandaloneConfig.json
===================================================================
--- src/main/webapp/application/engageStandaloneConfig.json	(revision 9226)
+++ src/main/webapp/application/engageStandaloneConfig.json	(working copy)
@@ -4,9 +4,9 @@
 includes: "kettle/KettleIncludes.json",
 includesPrefix: "kettle/",
 loaderFunction: "fluid.engage.initEngageApp",
-queryURLTemplate: "http://titan.atrc.utoronto.ca:5984/%dbName/_fti/lucene/%view?include_docs=true&q=%query",
-viewURLTemplate: "http://titan.atrc.utoronto.ca:5984/%dbName/%view",
-viewURLTemplateWithKey: "http://titan.atrc.utoronto.ca:5984/%dbName/%view?key=%key",
+queryURLTemplate: "http://142.150.154.59:5984/%dbName/_fti/lucene/%view?include_docs=true&q=%query",
+viewURLTemplate: "http://142.150.154.59:5984/%dbName/%view",
+viewURLTemplateWithKey: "http://142.150.154.59:5984/%dbName/%view?key=%key",
 initServices: [
     "fluid.engage.initHomeService",
     "fluid.artifactView.initMarkupFeed", 
Index: src/main/webapp/application/js/EngageApp.js
===================================================================
--- src/main/webapp/application/js/EngageApp.js	(revision 9226)
+++ src/main/webapp/application/js/EngageApp.js	(working copy)
@@ -145,4 +145,9 @@
         
         return app.app;
     };
+    
+    // Modify the value of couch parameter to be in quotes. This is the only format valid for couch query parameters.
+    fluid.engage.formatCouchQueryParam = function (param) {
+        return '"' + param + '"';
+    };
 })();
Index: src/main/webapp/services/exhibitionAbout/js/exhibitionAbout.js
===================================================================
--- src/main/webapp/services/exhibitionAbout/js/exhibitionAbout.js	(revision 9226)
+++ src/main/webapp/services/exhibitionAbout/js/exhibitionAbout.js	(working copy)
@@ -28,7 +28,10 @@
         return fluid.stringTemplate(config.viewURLTemplateWithKey, {
             dbName: params.db || "", 
             view: config.views.exhibitionByTitle, 
-            key: '"' + params.title + '"'
+            key: JSON.stringify({
+                title: params.title,
+                lang: params.lang
+            })
         });
     };
     
Index: src/main/webapp/services/exhibitionBrowse/js/exhibitionBrowse.js
===================================================================
--- src/main/webapp/services/exhibitionBrowse/js/exhibitionBrowse.js	(revision 9226)
+++ src/main/webapp/services/exhibitionBrowse/js/exhibitionBrowse.js	(working copy)
@@ -44,17 +44,20 @@
         return data;
     };
     
-    var compileDatabaseURL = function (db, config) {
-        return fluid.stringTemplate(config.viewURLTemplate, 
-            {dbName: db + "_exhibitions" || "", view: config.views.exhibitions});
+    var compileDatabaseURL = function (db, config, params) {
+        var url = fluid.stringTemplate(config.viewURLTemplate, {dbName: db + "_exhibitions" || "", view: config.views.exhibitions});
+        return url + "?" + $.param({
+            key: fluid.engage.formatCouchQueryParam(params.lang)
+        })
     };
     
     var compileTargetURL = function (URLBase, params) {
         return URLBase + "?" + $.param(params);
     };
     
-    var getData = function (errorCallback, db, config) {
-        var url = compileDatabaseURL(db, config);
+    var getData = function (errorCallback, params, config) {
+        var db = params.db;
+        var url = compileDatabaseURL(db, config, params);
         var rawData = getAjax(url, errorCallback);
         var dbName = db + "_exhibitions";
         var baseExhibitionURL = "view.html";
@@ -81,7 +84,8 @@
                     title: exhibition.title,
                     url: compileTargetURL(exhibition.isCurrent ? baseExhibitionURL : baseUpcomingExhibitionURL, {
                         db: dbName,
-                        title: exhibition.title
+                        title: exhibition.title,
+                        lang: params.lang
                     }),
                     displayDate: exhibition.displayDate,
                     endDate: exhibition.endDate
@@ -105,7 +109,7 @@
     
     fluid.exhibitionService.initExhibitionBrowseDataFeed = function (config, app) {
         var exhibitionsDataHandler = function (env) {
-            var data = JSON.stringify(getData(errorCallback, env.urlState.params.db, config));
+            var data = JSON.stringify(getData(errorCallback, env.urlState.params, config));
             return [200, {"Content-Type": "text/plain"}, data];
         };
     
@@ -149,7 +153,7 @@
             
         handler.registerProducer("browse", function (context, env) {
             var params = context.urlState.params;
-            var data = getData(errorCallback, params.db, config);
+            var data = getData(errorCallback, params, config);
             var strings = fluid.kettle.getBundle(renderHandlerConfig, params);
             var options = {
                 model: afterMap(data),
Index: src/main/webapp/services/exhibitionView/js/exhibitionView.js
===================================================================
--- src/main/webapp/services/exhibitionView/js/exhibitionView.js	(revision 9226)
+++ src/main/webapp/services/exhibitionView/js/exhibitionView.js	(working copy)
@@ -28,7 +28,10 @@
         return fluid.stringTemplate(config.viewURLTemplateWithKey, {
             dbName: params.db || "", 
             view: config.views.exhibitionByTitle, 
-            key: '"' + params.title + '"'
+            key: JSON.stringify({
+                title: params.title,
+                lang: params.lang
+            })
         });
     };
     
@@ -71,10 +74,11 @@
         fluid.engage.mountAcceptor(app, "exhibitions", acceptor);
     };
     
-    var buildLink = function (url, db, title) {
+    var buildLink = function (url, lang, db, title) {
         return compileTargetURL(url, {
             db: db,
-            title: title
+            title: title,
+            lang: lang
         });
     };
     
@@ -98,22 +102,9 @@
             var data = getData(errorCallback, params, config);
             var strings = fluid.kettle.getBundle(renderHandlerConfig, params);
             
-            data.catalogueLink = buildLink("../catalogue/view.html", params.db, data.title);
-            data.aboutLink = buildLink("about.html", params.db, data.title);
+            data.catalogueLink = buildLink("../catalogue/view.html", params.lang, params.db, data.title);
+            data.aboutLink = buildLink("about.html", params.lang, params.db, data.title);
             
-            //////////////////////////////////////////////////////////////////////
-            // TODO:  Remove this hardcoded data as soon as we get real data!!!
-           data.cataloguePreview = [{
-                "media": true,
-                "title": "Thermometer",
-                "image": "http://helios.gsfc.nasa.gov/image_euv_press.jpg"
-            }, {
-                "title": "Barometer",
-                "image": "http://helios.gsfc.nasa.gov/image_euv_press.jpg"
-            }
-            ];
-            /////////////////////////////////////////////////////////////////////
-            
             var options = {
                 model: data
             };
